## ignition-gui6 6.2.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10.2 FATAL_ERROR)

#============================================================================
# Initialize the project
#============================================================================
project(ignition-gui6 VERSION 6.2.0)

#============================================================================
# Find ignition-cmake
#============================================================================
find_package(ignition-cmake2 2.8.0 REQUIRED)

#============================================================================
# Configure the project
#============================================================================
ign_configure_project(VERSION_SUFFIX)

#============================================================================
# Set project-specific options
#============================================================================


#============================================================================
# Search for project-specific dependencies
#============================================================================
message(STATUS "\n\n-- ====== Finding Dependencies ======")

#--------------------------------------
# Find Protobuf
set(REQ_PROTOBUF_VER 3)
ign_find_package(IgnProtobuf
                 VERSION ${REQ_PROTOBUF_VER}
                 REQUIRED
                 PRETTY Protobuf)

#--------------------------------------
# Find Tinyxml2
ign_find_package(TINYXML2 REQUIRED PRIVATE PRETTY tinyxml2)

#--------------------------------------
# Find ignition-math
ign_find_package(ignition-math6 REQUIRED VERSION 6.5)
set(IGN_MATH_VER ${ignition-math6_VERSION_MAJOR})

#--------------------------------------
# Find ignition-common
ign_find_package(ignition-common4 REQUIRED COMPONENTS profiler VERSION 4.1)
set(IGN_COMMON_VER ${ignition-common4_VERSION_MAJOR})

#--------------------------------------
# Find ignition-plugin
ign_find_package(ignition-plugin1 REQUIRED COMPONENTS loader register)
set(IGN_PLUGIN_VER ${ignition-plugin1_VERSION_MAJOR})

#--------------------------------------
# Find ignition-transport
ign_find_package(ignition-transport11 REQUIRED)
set(IGN_TRANSPORT_VER ${ignition-transport11_VERSION_MAJOR})

#--------------------------------------
# Find ignition-rendering
ign_find_package(ignition-rendering6 REQUIRED COMPONENTS ogre)
set(IGN_RENDERING_VER ${ignition-rendering6_VERSION_MAJOR})

#--------------------------------------
# Find ignition-msgs
ign_find_package(ignition-msgs8 REQUIRED)
set(IGN_MSGS_VER ${ignition-msgs8_VERSION_MAJOR})

#--------------------------------------
# Find if ign command is available
find_program(HAVE_IGN_TOOLS ign)

#--------------------------------------
# Find QT
ign_find_package (Qt5
  COMPONENTS
    Core
    Quick
    QuickControls2
    Widgets
  REQUIRED
  PKGCONFIG "Qt5Core Qt5Quick Qt5QuickControls2 Qt5Widgets"
)

set(IGNITION_GUI_PLUGIN_INSTALL_DIR
  ${CMAKE_INSTALL_PREFIX}/${IGN_LIB_INSTALL_DIR}/ign-${IGN_DESIGNATION}-${PROJECT_VERSION_MAJOR}/plugins
)

#============================================================================
# Configure the build
#============================================================================
ign_configure_build(QUIT_IF_BUILD_ERRORS)

#============================================================================
# ign command line support
#============================================================================
add_subdirectory(conf)

#============================================================================
# Create package information
#============================================================================
ign_create_packages()

configure_file(${CMAKE_SOURCE_DIR}/api.md.in ${CMAKE_BINARY_DIR}/api.md)
configure_file(${CMAKE_SOURCE_DIR}/tutorials.md.in ${CMAKE_BINARY_DIR}/tutorials.md)

ign_create_docs(
  API_MAINPAGE_MD "${CMAKE_BINARY_DIR}/api.md"
  TUTORIALS_MAINPAGE_MD "${CMAKE_BINARY_DIR}/tutorials.md"
  ADDITIONAL_INPUT_DIRS "${CMAKE_SOURCE_DIR}/src/plugins"
  IMAGE_PATH_DIRS "${CMAKE_SOURCE_DIR}/tutorials/images"
  TAGFILES
    "${CMAKE_SOURCE_DIR}/doc/qt.tag.xml=http://doc.qt.io/qt-5/"
    "${IGNITION-MATH_DOXYGEN_TAGFILE} = ${IGNITION-MATH_API_URL}"
    "${IGNITION-MSGS_DOXYGEN_TAGFILE} = ${IGNITION-MSGS_API_URL}"
    "${IGNITION-RENDERING_DOXYGEN_TAGFILE} = ${IGNITION-RENDERING_API_URL}"
    "${IGNITION-TRANSPORT_DOXYGEN_TAGFILE} = ${IGNITION-TRANSPORT_API_URL}"
    "${IGNITION-COMMON_DOXYGEN_TAGFILE} = ${IGNITION-COMMON_API_URL}"
)

if(TARGET doc)
  file(COPY ${CMAKE_SOURCE_DIR}/tutorials/images/ DESTINATION ${CMAKE_BINARY_DIR}/doxygen/html/images/)
endif()

=== src/plugins/CMakeLists.txt ===
#################################################
# ign_gui_add_library (<library_name>
#              SOURCES <sources>
#              [PUBLIC_LINK_LIBS <libraries...>]
#              [PRIVATE_LINK_LIBS <libraries...>])
#
# Add a plugin library to Ignition GUI.
#
# <library_name> Required. Name of the library
#
# [SOURCES]: Specify the source files for the plugin.
#
# [QT_HEADERS]: Qt headers that need to be MOC'ed
#
# [PUBLIC_LINK_LIBS]: Specify a list of libraries to be publicly linked.
#
# [PRIVATE_LINK_LIBS]: Specify a list of libraries to be privately linked.
#
function(ign_gui_add_library library_name)
  set(options)
  set(oneValueArgs)
  set(multiValueArgs SOURCES QT_HEADERS PUBLIC_LINK_LIBS PRIVATE_LINK_LIBS)

  cmake_parse_arguments(ign_gui_add_library "${options}" "${oneValueArgs}" "${multiValueArgs}" ${ARGN})

  QT5_WRAP_CPP(${library_name}_headers_MOC ${ign_gui_add_library_QT_HEADERS})
  QT5_ADD_RESOURCES(${library_name}_RCC ${library_name}.qrc)

  add_library(${library_name} SHARED
    ${ign_gui_add_library_SOURCES}
    ${${library_name}_headers_MOC}
    ${${library_name}_RCC}
  )
  target_link_libraries(${library_name}
    PUBLIC
      ${PROJECT_LIBRARY_TARGET_NAME}
      TINYXML2::TINYXML2
      ${ign_gui_add_library_PUBLIC_LINK_LIBS}
    PRIVATE
      ${ign_gui_add_library_PRIVATE_LINK_LIBS}
  )
endfunction()

#################################################
# ign_gui_add_plugin(<plugin_name>
#              SOURCES <sources>
#              [PUBLIC_LINK_LIBS <libraries...>]
#              [PRIVATE_LINK_LIBS <libraries...>])
#
# Add a plugin to Ignition GUI.
#
# <plugin_name> Required. Name of the plugin.
#
# [SOURCES]: Specify the source files for the system.
#
# [QT_HEADERS]: Qt headers that need to be MOC'ed
#
# [TEST_SOURCES]: Source files for unit tests.
#
# [PUBLIC_LINK_LIBS]: Specify a list of libraries to be publicly linked.
#
# [PRIVATE_LINK_LIBS]: Specify a list of libraries to be privately linked.
#
function(ign_gui_add_plugin plugin_name)
  set(options)
  set(oneValueArgs)
  set(multiValueArgs
    SOURCES
    QT_HEADERS
    TEST_SOURCES
    PUBLIC_LINK_LIBS
    PRIVATE_LINK_LIBS
  )

  cmake_parse_arguments(ign_gui_add_plugin "${options}" "${oneValueArgs}" "${multiValueArgs}" ${ARGN})

  ign_gui_add_library(${plugin_name}
    SOURCES ${ign_gui_add_plugin_SOURCES}
    QT_HEADERS ${ign_gui_add_plugin_QT_HEADERS}
    PUBLIC_LINK_LIBS ${ign_gui_add_plugin_PUBLIC_LINK_LIBS}
    PRIVATE_LINK_LIBS ${ign_gui_add_plugin_PRIVATE_LINK_LIBS} ignition-plugin${IGN_PLUGIN_VER}::register
  )

  if(ign_gui_add_plugin_TEST_SOURCES)
    ign_build_tests(TYPE UNIT
      SOURCES
        ${ign_gui_add_plugin_TEST_SOURCES}
      LIB_DEPS
        ${IGNITION-GUI_LIBRARIES}
        TINYXML2::TINYXML2
        ${plugin_name}
      INCLUDE_DIRS
        # Used to make internal source file headers visible to the unit tests
        ${CMAKE_CURRENT_SOURCE_DIR}
        # Used to make test-directory headers visible to the unit tests
        ${PROJECT_SOURCE_DIR}
        # Used to make test_config.h visible to the unit tests
        ${PROJECT_BINARY_DIR})
  endif()

  if (MSVC)
    # Warning #4251 is the "dll-interface" warning that tells you when types used
    # by a class are not being exported. These generated source files have private
    # members that don't get exported, so they trigger this warning. However, the
    # warning is not important since those members do not need to be interfaced
    # with.
    set_source_files_properties(
        ${ign_gui_add_plugin_SOURCES}
        ${ign_gui_add_plugin_TEST_SOURCES}
        COMPILE_FLAGS "/wd4251")
  endif()

  install (TARGETS ${plugin_name} DESTINATION ${IGNITION_GUI_PLUGIN_INSTALL_DIR})
endfunction()

# Plugins
add_subdirectory(camera_tracking)
add_subdirectory(grid_config)
add_subdirectory(image_display)
add_subdirectory(interactive_view_control)
add_subdirectory(key_publisher)
add_subdirectory(plotting)
add_subdirectory(publisher)
add_subdirectory(marker_manager)
add_subdirectory(minimal_scene)
add_subdirectory(scene3d)
add_subdirectory(screenshot)
add_subdirectory(tape_measure)
add_subdirectory(teleop)
add_subdirectory(topic_echo)
add_subdirectory(topic_viewer)
add_subdirectory(transport_scene_manager)
add_subdirectory(world_control)
add_subdirectory(world_stats)

=== src/plugins/publisher/CMakeLists.txt ===
ign_gui_add_plugin(Publisher
  SOURCES
    Publisher.cc
  QT_HEADERS
    Publisher.hh
  TEST_SOURCES
    Publisher_TEST.cc
)

=== src/plugins/world_control/CMakeLists.txt ===
if (NOT MSVC)
  ign_gui_add_plugin(WorldControl
    SOURCES
      WorldControl.cc
      WorldControlEventListener.cc
    QT_HEADERS
      WorldControl.hh
      WorldControlEventListener.hh
    TEST_SOURCES
      WorldControl_TEST.cc
  )
else()
  ign_gui_add_plugin(WorldControl
    SOURCES
      WorldControl.cc
    QT_HEADERS
      WorldControl.hh
  )
endif()

=== debian/changelog ===
ignition-gui6 (6.2.0-1~buster) buster; urgency=medium

  * ignition-gui6 6.2.0-1 release

 -- Jenn Nguyen <jenn@openrobotics.org>  Wed, 08 Dec 2021 18:23:57 -0800

ignition-gui6 (6.1.0-1~buster) buster; urgency=medium

  * ignition-gui6 6.1.0-1 release

 -- Nate Koenig <nate@openrobotics.org>  Fri, 05 Nov 2021 10:59:15 -0700

ignition-gui6 (6.0.0-1~buster) buster; urgency=medium

  * ignition-gui6 6.0.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Thu, 30 Sep 2021 21:41:29 -0700

ignition-gui6 (6.0.0~pre1-2~buster) buster; urgency=medium

  * ignition-gui6 6.0.0~pre1-2 release

 -- Louise Poubel <louise@openrobotics.org>  Mon, 27 Sep 2021 17:22:14 -0700

ignition-gui6 (6.0.0~pre1-1~buster) buster; urgency=medium

  * ignition-gui6 6.0.0~pre1-1 release

 -- Louise Poubel <louise@openrobotics.org>  Tue, 21 Sep 2021 13:53:21 -0700

ignition-gui6 (5.999.999-1~buster) buster; urgency=medium

  * Stub to be removed after first entry

 -- Louise Poubel <louise@openrobotics.org>  Thu, 01 Apr 2021 15:27:41 -0700

=== debian/control ===
Source: ignition-gui6
Standards-Version: 3.9.8
Maintainer: Jose Luis Rivero <jrivero@osrfoundation.org>
Section: science
Priority: optional
Build-Depends: cmake,
               pkg-config,
               debhelper (>= 9),
               doxygen,
               libtinyxml2-dev,
               libprotoc-dev,
               libprotobuf-dev,
               qtbase5-dev,
               qtdeclarative5-dev,
               qtquickcontrols2-5-dev,
               qml-module-qt-labs-folderlistmodel,
               qml-module-qt-labs-platform,
               qml-module-qt-labs-settings,
               qml-module-qtcharts,
               qml-module-qtgraphicaleffects,
               qml-module-qtqml-models2,
               qml-module-qtquick-controls,
               qml-module-qtquick-controls2,
               qml-module-qtquick-dialogs,
               qml-module-qtquick-layouts,
               qml-module-qtquick-templates2,
               qml-module-qtquick-window2,
               qml-module-qtquick2,
               libignition-cmake2-dev (>= 2.8.0),
               libignition-math6-dev (>= 6.5.0),
               libignition-common4-events-dev (>= 4.1.0),
               libignition-common4-profiler-dev (>= 4.1.0),
               libignition-plugin-dev,
               libignition-rendering6-ogre1-dev,
               libignition-tools-dev,
               libignition-transport11-dev,
               libignition-msgs8-dev
Vcs-Browser: https://github.com/ignition-release/ign-gui6-release
Vcs-Git: https://github.com/ignition-release/ign-gui6-release
Homepage: http://ignitionrobotics.org/

Package: libignition-gui6
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Ignition Gui classes and functions for robot apps - Shared library
  Ignition Gui is a component in the ignition framework, a set of libraries
  designed to rapidly develop robot applications.

Package: libignition-gui6-dev
Architecture: any
Section: libdevel
Depends: libtinyxml2-dev,
         libprotoc-dev,
         libprotobuf-dev,
         qtbase5-dev,
         qtdeclarative5-dev,
         qtquickcontrols2-5-dev,
         qml-module-qt-labs-folderlistmodel,
         qml-module-qt-labs-platform,
         qml-module-qt-labs-settings,
         qml-module-qtcharts,
         qml-module-qtgraphicaleffects,
         qml-module-qtqml-models2,
         qml-module-qtquick-controls,
         qml-module-qtquick-controls2,
         qml-module-qtquick-dialogs,
         qml-module-qtquick-layouts,
         qml-module-qtquick-templates2,
         qml-module-qtquick-window2,
         qml-module-qtquick2,
         libignition-cmake2-dev (>= 2.8.0),
         libignition-math6-dev (>= 6.5.0),
         libignition-common4-events-dev (>= 4.1.0),
         libignition-common4-profiler-dev (>= 4.1.0),
         libignition-transport11-dev,
         libignition-plugin-dev,
         libignition-rendering6-ogre1-dev,
         libignition-tools-dev,
         libignition-msgs8-dev,
         libignition-gui6 (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Ignition Gui classes and functions for robot apps - Development files
  Ignition Gui is a component in the ignition framework, a set of libraries
  designed to rapidly develop robot applications.

## ignition-gui6 6.6.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,12 +3,12 @@
 #============================================================================
 # Initialize the project
 #============================================================================
-project(ignition-gui6 VERSION 6.2.0)
+project(ignition-gui6 VERSION 6.6.1)
 
 #============================================================================
 # Find ignition-cmake
 #============================================================================
-find_package(ignition-cmake2 2.8.0 REQUIRED)
+find_package(ignition-cmake2 2.14 REQUIRED)
 
 #============================================================================
 # Configure the project
@@ -59,17 +59,20 @@
 
 #--------------------------------------
 # Find ignition-rendering
-ign_find_package(ignition-rendering6 REQUIRED COMPONENTS ogre)
+ign_find_package(ignition-rendering6 REQUIRED)
 set(IGN_RENDERING_VER ${ignition-rendering6_VERSION_MAJOR})
 
 #--------------------------------------
 # Find ignition-msgs
-ign_find_package(ignition-msgs8 REQUIRED)
+ign_find_package(ignition-msgs8 REQUIRED VERSION 8.2)
 set(IGN_MSGS_VER ${ignition-msgs8_VERSION_MAJOR})
 
 #--------------------------------------
-# Find if ign command is available
+# Find if command is available. This is used to enable tests.
+# Note that CLI files are installed regardless of whether the dependency is
+# available during build time
 find_program(HAVE_IGN_TOOLS ign)
+set (IGN_TOOLS_VER 1)
 
 #--------------------------------------
 # Find QT
@@ -84,7 +87,7 @@
 )
 
 set(IGNITION_GUI_PLUGIN_INSTALL_DIR
-  ${CMAKE_INSTALL_PREFIX}/${IGN_LIB_INSTALL_DIR}/ign-${IGN_DESIGNATION}-${PROJECT_VERSION_MAJOR}/plugins
+  ${CMAKE_INSTALL_PREFIX}/${IGN_LIB_INSTALL_DIR}/ign-${GZ_DESIGNATION}-${PROJECT_VERSION_MAJOR}/plugins
 )
 
 #============================================================================

=== src/CMakeLists.txt ===
include_directories(${PROJECT_BINARY_DIR})

set (sources
  ${CMAKE_CURRENT_SOURCE_DIR}/Application.cc
  ${CMAKE_CURRENT_SOURCE_DIR}/Conversions.cc
  ${CMAKE_CURRENT_SOURCE_DIR}/Dialog.cc
  ${CMAKE_CURRENT_SOURCE_DIR}/DragDropModel.cc
  ${CMAKE_CURRENT_SOURCE_DIR}/GuiEvents.cc
  ${CMAKE_CURRENT_SOURCE_DIR}/Helpers.cc
  ${CMAKE_CURRENT_SOURCE_DIR}/ign.cc
  ${CMAKE_CURRENT_SOURCE_DIR}/MainWindow.cc
  ${CMAKE_CURRENT_SOURCE_DIR}/PlottingInterface.cc
  ${CMAKE_CURRENT_SOURCE_DIR}/Plugin.cc
  ${CMAKE_CURRENT_SOURCE_DIR}/SearchModel.cc
  PARENT_SCOPE
)

set (gtest_sources
  Application_TEST.cc
  Conversions_TEST.cc
  Dialog_TEST.cc
  DragDropModel_TEST.cc
  Helpers_TEST.cc
  GuiEvents_TEST.cc
  ign_TEST.cc
  MainWindow_TEST.cc
  PlottingInterface_TEST.cc
  Plugin_TEST.cc
  SearchModel_TEST.cc
)

if (MSVC)
  # Warning #4251 is the "dll-interface" warning that tells you when types used
  # by a class are not being exported. These generated source files have private
  # members that don't get exported, so they trigger this warning. However, the
  # warning is not important since those members do not need to be interfaced
  # with.
  set_source_files_properties(${sources} ${gtest_sources} COMPILE_FLAGS "/wd4251 /wd4146")
endif()

# this test currently fails on brew (issue #27)
# so disable it for now
if (NOT HAVE_IGN_TOOLS OR APPLE)
  list(REMOVE_ITEM gtest_sources ign_TEST.cc)
endif()

ign_build_tests(TYPE UNIT
                SOURCES
                  ${gtest_sources}
                LIB_DEPS
                  ${IGNITION-MATH_LIBRARIES}
                  TINYXML2::TINYXML2
                TEST_LIST
                  gtest_targets
)

foreach(test ${gtest_targets})
  target_compile_definitions(${test} PRIVATE
    "PROJECT_SOURCE_DIR=\"${PROJECT_SOURCE_DIR}\"")
endforeach()

if(TARGET UNIT_ign_TEST)
  # Running `ign gazebo` on macOS has problems when run with /usr/bin/ruby
  # due to System Integrity Protection (SIP). Try to find ruby from
  # homebrew as a workaround.
  if (APPLE)
    find_program(BREW_RUBY ruby HINTS /usr/local/opt/ruby/bin)
  endif()

  target_compile_definitions(UNIT_ign_TEST PRIVATE
      "BREW_RUBY=\"${BREW_RUBY} \"")

  target_compile_definitions(UNIT_ign_TEST PRIVATE
      "IGN_PATH=\"${HAVE_IGN_TOOLS}\"")

  set(_env_vars)
  list(APPEND _env_vars "IGN_CONFIG_PATH=${CMAKE_BINARY_DIR}/test/conf")

  set_tests_properties(UNIT_ign_TEST PROPERTIES
    ENVIRONMENT "${_env_vars}")
endif()

add_subdirectory(cmd)
add_subdirectory(plugins)

=== src/plugins/CMakeLists.txt ===
--- 
+++ 
@@ -123,8 +123,10 @@
 add_subdirectory(publisher)
 add_subdirectory(marker_manager)
 add_subdirectory(minimal_scene)
+add_subdirectory(navsat_map)
 add_subdirectory(scene3d)
 add_subdirectory(screenshot)
+add_subdirectory(shutdown_button)
 add_subdirectory(tape_measure)
 add_subdirectory(teleop)
 add_subdirectory(topic_echo)

=== examples/plugin/custom_context_menu/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10.2 FATAL_ERROR)

project(ignition-gui-custom-context-menu)

if(POLICY CMP0100)
  cmake_policy(SET CMP0100 NEW)
endif()

set (CMAKE_AUTOMOC ON)

# Find Qt5
find_package (Qt5
  COMPONENTS
    Core
    Quick
    QuickControls2
  REQUIRED
)

# Find the Ignition gui library
find_package(ignition-gui6 REQUIRED)
find_package(ignition-common4 REQUIRED)

set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${IGNITION-GUI_CXX_FLAGS}")

QT5_ADD_RESOURCES(resources_RCC CustomContext.qrc)

include_directories(SYSTEM
  ${IGNITION-COMMON_INCLUDE_DIRS}
  ${IGNITION-GUI_INCLUDE_DIRS}
  ${Qt5Core_INCLUDE_DIRS}
  ${Qt5Qml_INCLUDE_DIRS}
  ${Qt5Quick_INCLUDE_DIRS}
  ${Qt5QuickControls2_INCLUDE_DIRS}
)

link_directories(
  ${IGNITION-COMMON_LIBRARY_DIRS}
  ${IGNITION-GUI_LIBRARY_DIRS}
)

# Generate examples
add_library(CustomContext SHARED ${headers_MOC}
  CustomContext.cc
  ${resources_RCC}
)
target_link_libraries(CustomContext
  ${IGNITION-GUI_LIBRARIES}
  ${Qt5Core_LIBRARIES}
  ${Qt5Qml_LIBRARIES}
  ${Qt5Quick_LIBRARIES}
  ${Qt5QuickControls2_LIBRARIES}
)

=== examples/plugin/dialog_from_plugin/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10.2 FATAL_ERROR)

project(ignition-gui-dialog-from-plugin)

if(POLICY CMP0100)
  cmake_policy(SET CMP0100 NEW)
endif()

set (CMAKE_AUTOMOC ON)

# Find Qt5
find_package (Qt5
  COMPONENTS
    Core
    Quick
    QuickControls2
  REQUIRED
)

# Find the Ignition gui library
find_package(ignition-gui6 REQUIRED)
find_package(ignition-common4 REQUIRED)

set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${IGNITION-GUI_CXX_FLAGS}")

QT5_ADD_RESOURCES(resources_RCC DialogFromPlugin.qrc)

include_directories(SYSTEM
  ${IGNITION-COMMON_INCLUDE_DIRS}
  ${IGNITION-GUI_INCLUDE_DIRS}
  ${Qt5Core_INCLUDE_DIRS}
  ${Qt5Qml_INCLUDE_DIRS}
  ${Qt5Quick_INCLUDE_DIRS}
  ${Qt5QuickControls2_INCLUDE_DIRS}
)

link_directories(
  ${IGNITION-COMMON_LIBRARY_DIRS}
  ${IGNITION-GUI_LIBRARY_DIRS}
)

# Generate examples
add_library(DialogFromPlugin SHARED ${headers_MOC}
  DialogFromPlugin.cc
  ${resources_RCC}
)
target_link_libraries(DialogFromPlugin
  ${IGNITION-GUI_LIBRARIES}
  ${Qt5Core_LIBRARIES}
  ${Qt5Qml_LIBRARIES}
  ${Qt5Quick_LIBRARIES}
  ${Qt5QuickControls2_LIBRARIES}
)

=== examples/plugin/hello_plugin/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10.2 FATAL_ERROR)

project(ignition-gui-hello-plugin)

if(POLICY CMP0100)
  cmake_policy(SET CMP0100 NEW)
endif()

set (CMAKE_AUTOMOC ON)

# Find Qt5
find_package (Qt5
  COMPONENTS
    Core
    Quick
    QuickControls2
  REQUIRED
)

# Find the Ignition gui library
find_package(ignition-gui6 REQUIRED)
find_package(ignition-common4 REQUIRED)

set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${IGNITION-GUI_CXX_FLAGS}")

QT5_ADD_RESOURCES(resources_RCC hello.qrc)

include_directories(SYSTEM
  ${IGNITION-COMMON_INCLUDE_DIRS}
  ${IGNITION-GUI_INCLUDE_DIRS}
  ${Qt5Core_INCLUDE_DIRS}
  ${Qt5Qml_INCLUDE_DIRS}
  ${Qt5Quick_INCLUDE_DIRS}
  ${Qt5QuickControls2_INCLUDE_DIRS}
)

link_directories(
  ${IGNITION-COMMON_LIBRARY_DIRS}
  ${IGNITION-GUI_LIBRARY_DIRS}
)

# Generate examples
add_library(HelloPlugin SHARED ${headers_MOC}
  HelloPlugin.cc
  ${resources_RCC}
)
target_link_libraries(HelloPlugin
  ${IGNITION-GUI_LIBRARIES}
  ${Qt5Core_LIBRARIES}
  ${Qt5Qml_LIBRARIES}
  ${Qt5Quick_LIBRARIES}
  ${Qt5QuickControls2_LIBRARIES}
)

=== examples/plugin/multiple_qml/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10.2 FATAL_ERROR)

project(ignition-gui-multiple-qml)

if(POLICY CMP0100)
  cmake_policy(SET CMP0100 NEW)
endif()

set (CMAKE_AUTOMOC ON)

# Find Qt5
find_package (Qt5
  COMPONENTS
    Core
    Quick
    QuickControls2
  REQUIRED
)

# Find the Ignition gui library
find_package(ignition-gui6 REQUIRED)
find_package(ignition-common4 REQUIRED)

set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${IGNITION-GUI_CXX_FLAGS}")

QT5_ADD_RESOURCES(resources_RCC MultipleQml.qrc)

include_directories(SYSTEM
  ${IGNITION-COMMON_INCLUDE_DIRS}
  ${IGNITION-GUI_INCLUDE_DIRS}
  ${Qt5Core_INCLUDE_DIRS}
  ${Qt5Qml_INCLUDE_DIRS}
  ${Qt5Quick_INCLUDE_DIRS}
  ${Qt5QuickControls2_INCLUDE_DIRS}
)

link_directories(
  ${IGNITION-COMMON_LIBRARY_DIRS}
  ${IGNITION-GUI_LIBRARY_DIRS}
)

# Generate examples
add_library(MultipleQml SHARED ${headers_MOC}
  MultipleQml.cc
  ${resources_RCC}
)
target_link_libraries(MultipleQml
  ${IGNITION-GUI_LIBRARIES}
  ${Qt5Core_LIBRARIES}
  ${Qt5Qml_LIBRARIES}
  ${Qt5Quick_LIBRARIES}
  ${Qt5QuickControls2_LIBRARIES}
)

=== examples/standalone/custom_drawer/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10.2 FATAL_ERROR)

project(ignition-gui-custom-drawer)

if(POLICY CMP0100)
  cmake_policy(SET CMP0100 NEW)
endif()

set (CMAKE_AUTOMOC ON)

# Find Qt5
find_package (Qt5
  COMPONENTS
    Core
    Quick
    QuickControls2
  REQUIRED
)

# Find the Ignition gui library
find_package(ignition-gui6 REQUIRED)

QT5_ADD_RESOURCES(resources_RCC custom_drawer.qrc)

set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${IGNITION-GUI_CXX_FLAGS}")

include_directories(SYSTEM
  ${IGNITION-GUI_INCLUDE_DIRS}
  ${Qt5Core_INCLUDE_DIRS}
  ${Qt5Qml_INCLUDE_DIRS}
  ${Qt5Quick_INCLUDE_DIRS}
  ${Qt5QuickControls2_INCLUDE_DIRS}
)

link_directories(
  ${IGNITION-GUI_LIBRARY_DIRS}
)

# Generate example
add_executable(custom_drawer
  custom_drawer.cc
  ${resources_RCC}
)
target_link_libraries(custom_drawer
  ${IGNITION-GUI_LIBRARIES}
  ${Qt5Core_LIBRARIES}
  ${Qt5Qml_LIBRARIES}
  ${Qt5Quick_LIBRARIES}
  ${Qt5QuickControls2_LIBRARIES}
)

=== examples/standalone/dialogs/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10.2 FATAL_ERROR)

project(ignition-gui-dialogs)

if(POLICY CMP0100)
  cmake_policy(SET CMP0100 NEW)
endif()

set (CMAKE_AUTOMOC ON)

# Find Qt5
find_package (Qt5
  COMPONENTS
    Core
    Quick
    QuickControls2
  REQUIRED
)

# Find the Ignition gui library
find_package(ignition-gui6 REQUIRED)

set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${IGNITION-GUI_CXX_FLAGS}")

include_directories(SYSTEM
  ${IGNITION-GUI_INCLUDE_DIRS}
  ${Qt5Core_INCLUDE_DIRS}
  ${Qt5Qml_INCLUDE_DIRS}
  ${Qt5Quick_INCLUDE_DIRS}
  ${Qt5QuickControls2_INCLUDE_DIRS}
)

link_directories(
  ${IGNITION-GUI_LIBRARY_DIRS}
)

# Generate example
add_executable(dialogs
  dialogs.cc
)
target_link_libraries(dialogs
  ${IGNITION-GUI_LIBRARIES}
  ${Qt5Core_LIBRARIES}
  ${Qt5Qml_LIBRARIES}
  ${Qt5Quick_LIBRARIES}
  ${Qt5QuickControls2_LIBRARIES}
)

=== examples/standalone/window/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10.2 FATAL_ERROR)

project(ignition-gui-window)

if(POLICY CMP0100)
  cmake_policy(SET CMP0100 NEW)
endif()

set (CMAKE_AUTOMOC ON)

# Find Qt5
find_package (Qt5
  COMPONENTS
    Core
    Quick
    QuickControls2
  REQUIRED
)

# Find the Ignition gui library
find_package(ignition-gui6 REQUIRED)

set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${IGNITION-GUI_CXX_FLAGS}")

include_directories(SYSTEM
  ${IGNITION-GUI_INCLUDE_DIRS}
  ${Qt5Core_INCLUDE_DIRS}
  ${Qt5Qml_INCLUDE_DIRS}
  ${Qt5Quick_INCLUDE_DIRS}
  ${Qt5QuickControls2_INCLUDE_DIRS}
)

link_directories(
  ${IGNITION-GUI_LIBRARY_DIRS}
)

# Generate example
add_executable(window
  window.cc
)
target_link_libraries(window
  ${IGNITION-GUI_LIBRARIES}
  ${Qt5Core_LIBRARIES}
  ${Qt5Qml_LIBRARIES}
  ${Qt5Quick_LIBRARIES}
  ${Qt5QuickControls2_LIBRARIES}
)

=== debian/changelog ===
ignition-gui6 (6.6.1-2~focal) focal; urgency=medium

  * ignition-gui6 6.6.1-2 release

 -- Louise Poubel <louise@openrobotics.org>  Wed, 17 Aug 2022 12:39:30 -0700

ignition-gui6 (6.6.1-1~focal) focal; urgency=medium

  * ignition-gui6 6.6.1-1 release

 -- Louise Poubel <louise@openrobotics.org>  Wed, 17 Aug 2022 11:08:15 -0700

ignition-gui6 (6.6.0-1~focal) focal; urgency=medium

  * ignition-gui6 6.6.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Wed, 10 Aug 2022 10:06:19 -0700

ignition-gui6 (6.5.0-1~focal) focal; urgency=medium

  * ignition-gui6 6.5.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Tue, 02 Aug 2022 20:52:32 -0700

ignition-gui6 (6.4.0-1~focal) focal; urgency=medium

  * ignition-gui6 6.4.0-1 release

 -- Jenn Nguyen <jenn@openrobotics.org>  Tue, 01 Feb 2022 11:19:05 -0800

ignition-gui6 (6.3.0-1~focal) focal; urgency=medium

  * ignition-gui6 6.3.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Thu, 06 Jan 2022 11:08:20 -0800

ignition-gui6 (6.2.0-1~focal) focal; urgency=medium

  * ignition-gui6 6.2.0-1 release

 -- Jenn Nguyen <jenn@openrobotics.org>  Wed, 08 Dec 2021 18:23:57 -0800

ignition-gui6 (6.1.0-1~focal) focal; urgency=medium

  * ignition-gui6 6.1.0-1 release

 -- Nate Koenig <nate@openrobotics.org>  Fri, 05 Nov 2021 10:59:15 -0700

ignition-gui6 (6.0.0-1~focal) focal; urgency=medium

  * ignition-gui6 6.0.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Thu, 30 Sep 2021 21:41:29 -0700

ignition-gui6 (6.0.0~pre1-2~focal) focal; urgency=medium

  * ignition-gui6 6.0.0~pre1-2 release

 -- Louise Poubel <louise@openrobotics.org>  Mon, 27 Sep 2021 17:22:14 -0700

ignition-gui6 (6.0.0~pre1-1~focal) focal; urgency=medium

  * ignition-gui6 6.0.0~pre1-1 release

 -- Louise Poubel <louise@openrobotics.org>  Tue, 21 Sep 2021 13:53:20 -0700

ignition-gui6 (5.999.999-1~focal) focal; urgency=medium

  * Stub to be removed after first entry

 -- Louise Poubel <louise@openrobotics.org>  Thu, 01 Apr 2021 15:27:41 -0700

## ignition-gui6 6.8.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 #============================================================================
 # Initialize the project
 #============================================================================
-project(ignition-gui6 VERSION 6.6.1)
+project(ignition-gui6 VERSION 6.8.0)
 
 #============================================================================
 # Find ignition-cmake
@@ -13,7 +13,10 @@
 #============================================================================
 # Configure the project
 #============================================================================
-ign_configure_project(VERSION_SUFFIX)
+ign_configure_project(
+  REPLACE_IGNITION_INCLUDE_PATH gz/gui
+  VERSION_SUFFIX
+)
 
 #============================================================================
 # Set project-specific options

=== conf/CMakeLists.txt ===
# Used only for internal testing.
set(ign_library_path "${CMAKE_BINARY_DIR}/test/lib/ruby/ignition/cmd${GZ_DESIGNATION}${PROJECT_VERSION_MAJOR}")

# Generate a configuration file for internal testing.
# Note that the major version of the library is included in the name.
# Ex: gui0.yaml
configure_file(
  "${GZ_DESIGNATION}.yaml.in"
    "${CMAKE_BINARY_DIR}/test/conf/${GZ_DESIGNATION}${PROJECT_VERSION_MAJOR}.yaml" @ONLY)

# Used for the installed version.
set(ign_library_path "${CMAKE_INSTALL_PREFIX}/lib/ruby/ignition/cmd${GZ_DESIGNATION}${PROJECT_VERSION_MAJOR}")

# Generate the configuration file that is installed.
# Note that the major version of the library is included in the name.
# Ex: gui0.yaml
configure_file(
  "${GZ_DESIGNATION}.yaml.in"
  "${CMAKE_CURRENT_BINARY_DIR}/${GZ_DESIGNATION}${PROJECT_VERSION_MAJOR}.yaml" @ONLY)

# Install the yaml configuration files in an unversioned location.
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${GZ_DESIGNATION}${PROJECT_VERSION_MAJOR}.yaml
  DESTINATION ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_DATAROOTDIR}/ignition/)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
   ${CMAKE_CURRENT_SOURCE_DIR}/DragDropModel.cc
   ${CMAKE_CURRENT_SOURCE_DIR}/GuiEvents.cc
   ${CMAKE_CURRENT_SOURCE_DIR}/Helpers.cc
-  ${CMAKE_CURRENT_SOURCE_DIR}/ign.cc
+  ${CMAKE_CURRENT_SOURCE_DIR}/gz.cc
   ${CMAKE_CURRENT_SOURCE_DIR}/MainWindow.cc
   ${CMAKE_CURRENT_SOURCE_DIR}/PlottingInterface.cc
   ${CMAKE_CURRENT_SOURCE_DIR}/Plugin.cc
@@ -22,7 +22,7 @@
   DragDropModel_TEST.cc
   Helpers_TEST.cc
   GuiEvents_TEST.cc
-  ign_TEST.cc
+  gz_TEST.cc
   MainWindow_TEST.cc
   PlottingInterface_TEST.cc
   Plugin_TEST.cc
@@ -41,7 +41,7 @@
 # this test currently fails on brew (issue #27)
 # so disable it for now
 if (NOT HAVE_IGN_TOOLS OR APPLE)
-  list(REMOVE_ITEM gtest_sources ign_TEST.cc)
+  list(REMOVE_ITEM gtest_sources gz_TEST.cc)
 endif()
 
 ign_build_tests(TYPE UNIT
@@ -59,7 +59,7 @@
     "PROJECT_SOURCE_DIR=\"${PROJECT_SOURCE_DIR}\"")
 endforeach()
 
-if(TARGET UNIT_ign_TEST)
+if(TARGET UNIT_gz_TEST)
   # Running `ign gazebo` on macOS has problems when run with /usr/bin/ruby
   # due to System Integrity Protection (SIP). Try to find ruby from
   # homebrew as a workaround.
@@ -67,18 +67,20 @@
     find_program(BREW_RUBY ruby HINTS /usr/local/opt/ruby/bin)
   endif()
 
-  target_compile_definitions(UNIT_ign_TEST PRIVATE
+  target_compile_definitions(UNIT_gz_TEST PRIVATE
       "BREW_RUBY=\"${BREW_RUBY} \"")
 
-  target_compile_definitions(UNIT_ign_TEST PRIVATE
+  target_compile_definitions(UNIT_gz_TEST PRIVATE
       "IGN_PATH=\"${HAVE_IGN_TOOLS}\"")
 
   set(_env_vars)
   list(APPEND _env_vars "IGN_CONFIG_PATH=${CMAKE_BINARY_DIR}/test/conf")
 
-  set_tests_properties(UNIT_ign_TEST PROPERTIES
+  set_tests_properties(UNIT_gz_TEST PROPERTIES
     ENVIRONMENT "${_env_vars}")
 endif()
 
-add_subdirectory(cmd)
+if(NOT WIN32)
+  add_subdirectory(cmd)
+endif()
 add_subdirectory(plugins)

=== src/cmd/CMakeLists.txt ===
#===============================================================================
# Generate the ruby script for internal testing.
# Note that the major version of the library is included in the name.
# Ex: cmdgui3.rb
set(cmd_script_generated_test "${CMAKE_BINARY_DIR}/test/lib/ruby/ignition/cmd${GZ_DESIGNATION}${PROJECT_VERSION_MAJOR}.rb")
set(cmd_script_configured_test "${cmd_script_generated_test}.configured")

# Set the library_location variable to the full path of the library file within
# the build directory.
set(library_location "$<TARGET_FILE:${PROJECT_LIBRARY_TARGET_NAME}>")

configure_file(
  "cmd${GZ_DESIGNATION}.rb.in"
  "${cmd_script_configured_test}"
  @ONLY)

file(GENERATE
  OUTPUT "${cmd_script_generated_test}"
  INPUT  "${cmd_script_configured_test}")


#===============================================================================
# Used for the installed version.
# Generate the ruby script that gets installed.
# Note that the major version of the library is included in the name.
# Ex: cmdgui3.rb
set(cmd_script_generated "${CMAKE_CURRENT_BINARY_DIR}/cmd${GZ_DESIGNATION}${PROJECT_VERSION_MAJOR}.rb")
set(cmd_script_configured "${cmd_script_generated}.configured")

# Set the library_location variable to the relative path to the library file
# within the install directory structure.
set(library_location "../../../${CMAKE_INSTALL_LIBDIR}/$<TARGET_FILE_NAME:${PROJECT_LIBRARY_TARGET_NAME}>")

configure_file(
  "cmd${GZ_DESIGNATION}.rb.in"
  "${cmd_script_configured}"
  @ONLY)

file(GENERATE
  OUTPUT "${cmd_script_generated}"
  INPUT  "${cmd_script_configured}")

# Install the ruby command line library in an unversioned location.
install(FILES ${cmd_script_generated} DESTINATION lib/ruby/ignition)

# Tack version onto and install the bash completion script
configure_file(
  "gui.bash_completion.sh"
    "${CMAKE_CURRENT_BINARY_DIR}/gui${PROJECT_VERSION_MAJOR}.bash_completion.sh" @ONLY)
install(
  FILES
    ${CMAKE_CURRENT_BINARY_DIR}/gui${PROJECT_VERSION_MAJOR}.bash_completion.sh
  DESTINATION
    ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_DATAROOTDIR}/gz/gz${IGN_TOOLS_VER}.completion.d)

=== src/plugins/CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 #              [PUBLIC_LINK_LIBS <libraries...>]
 #              [PRIVATE_LINK_LIBS <libraries...>])
 #
-# Add a plugin library to Ignition GUI.
+# Add a plugin library to Gazebo GUI.
 #
 # <library_name> Required. Name of the library
 #
@@ -47,7 +47,7 @@
 #              [PUBLIC_LINK_LIBS <libraries...>]
 #              [PRIVATE_LINK_LIBS <libraries...>])
 #
-# Add a plugin to Ignition GUI.
+# Add a plugin to Gazebo GUI.
 #
 # <plugin_name> Required. Name of the plugin.
 #
@@ -114,6 +114,7 @@
 endfunction()
 
 # Plugins
+add_subdirectory(camera_fps)
 add_subdirectory(camera_tracking)
 add_subdirectory(grid_config)
 add_subdirectory(image_display)

=== examples/plugin/custom_context_menu/CMakeLists.txt ===
--- 
+++ 
@@ -17,7 +17,7 @@
   REQUIRED
 )
 
-# Find the Ignition gui library
+# Find the Gazebo gui library
 find_package(ignition-gui6 REQUIRED)
 find_package(ignition-common4 REQUIRED)

=== examples/plugin/dialog_from_plugin/CMakeLists.txt ===
--- 
+++ 
@@ -17,7 +17,7 @@
   REQUIRED
 )
 
-# Find the Ignition gui library
+# Find the Gazebo gui library
 find_package(ignition-gui6 REQUIRED)
 find_package(ignition-common4 REQUIRED)

=== examples/plugin/hello_plugin/CMakeLists.txt ===
--- 
+++ 
@@ -17,7 +17,7 @@
   REQUIRED
 )
 
-# Find the Ignition gui library
+# Find the Gazebo gui library
 find_package(ignition-gui6 REQUIRED)
 find_package(ignition-common4 REQUIRED)

=== examples/plugin/ign_components/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10.2 FATAL_ERROR)

project(ignition-gui-ign-components)

if(POLICY CMP0100)
  cmake_policy(SET CMP0100 NEW)
endif()

set (CMAKE_AUTOMOC ON)

find_package (Qt5
  COMPONENTS
    Core
    Quick
    QuickControls2
  REQUIRED
)

find_package(ignition-gui6 REQUIRED)
find_package(ignition-common4 REQUIRED)

set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${IGNITION-GUI_CXX_FLAGS}")

QT5_ADD_RESOURCES(resources_RCC IgnComponents.qrc)

include_directories(SYSTEM
  ${IGNITION-COMMON_INCLUDE_DIRS}
  ${IGNITION-GUI_INCLUDE_DIRS}
)

link_directories(
  ${IGNITION-COMMON_LIBRARY_DIRS}
  ${IGNITION-GUI_LIBRARY_DIRS}
)

# Generate examples
add_library(IgnComponents SHARED ${headers_MOC}
  IgnComponents.cc
  ${resources_RCC}
)
target_link_libraries(IgnComponents
  ${IGNITION-GUI_LIBRARIES}
  ${Qt5Core_LIBRARIES}
  ${Qt5Qml_LIBRARIES}
  ${Qt5Quick_LIBRARIES}
  ${Qt5QuickControls2_LIBRARIES}
)

=== examples/plugin/multiple_qml/CMakeLists.txt ===
--- 
+++ 
@@ -17,7 +17,7 @@
   REQUIRED
 )
 
-# Find the Ignition gui library
+# Find the Gazebo gui library
 find_package(ignition-gui6 REQUIRED)
 find_package(ignition-common4 REQUIRED)

=== examples/standalone/custom_drawer/CMakeLists.txt ===
--- 
+++ 
@@ -17,7 +17,7 @@
   REQUIRED
 )
 
-# Find the Ignition gui library
+# Find the Gazebo gui library
 find_package(ignition-gui6 REQUIRED)
 
 QT5_ADD_RESOURCES(resources_RCC custom_drawer.qrc)

=== examples/standalone/dialogs/CMakeLists.txt ===
--- 
+++ 
@@ -17,7 +17,7 @@
   REQUIRED
 )
 
-# Find the Ignition gui library
+# Find the Gazebo gui library
 find_package(ignition-gui6 REQUIRED)
 
 set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${IGNITION-GUI_CXX_FLAGS}")

=== debian/changelog ===
ignition-gui6 (6.8.0-1~focal) focal; urgency=medium

  * ignition-gui6 6.8.0-1 release

 -- Nate Koenig <natekoenig@gmail.com>  Fri, 12 May 2022 09:56:12 -0800

ignition-gui6 (6.7.0-1~focal) focal; urgency=medium

  * ignition-gui6 6.7.0-1 release

 -- Jenn Nguyen <jenn@openrobotics.org>  Fri, 02 Dec 2022 12:07:29 -0800

=== debian/control ===
Source: ignition-gui6
Maintainer: Jose Luis Rivero <jrivero@osrfoundation.org>
Section: science
Priority: optional
Build-Depends: cmake,
               pkg-config,
               debhelper (>= 11),
               doxygen,
               libtinyxml2-dev,
               libprotoc-dev,
               libprotobuf-dev,
               qtbase5-dev,
               qtdeclarative5-dev,
               qtquickcontrols2-5-dev,
               qml-module-qt-labs-folderlistmodel,
               qml-module-qt-labs-platform,
               qml-module-qt-labs-settings,
               qml-module-qtcharts,
               qml-module-qtgraphicaleffects,
               qml-module-qtqml-models2,
               qml-module-qtquick-controls,
               qml-module-qtquick-controls2,
               qml-module-qtquick-dialogs,
               qml-module-qtquick-layouts,
               qml-module-qtquick-templates2,
               qml-module-qtquick-window2,
               qml-module-qtquick2,
               libignition-cmake2-dev (>= 2.14.0),
               libignition-math6-dev (>= 6.5.0),
               libignition-common4-events-dev (>= 4.1.0),
               libignition-common4-profiler-dev (>= 4.1.0),
               libignition-plugin-dev,
               libignition-rendering6-ogre1-dev,
               libignition-tools-dev,
               libignition-transport11-dev,
               libignition-msgs8-dev (>= 8.2.0)
Vcs-Browser: https://github.com/gazebosim/gz-gui
Vcs-Git: https://github.com/gazebo-release/gz-gui6-release
Standards-Version: 4.5.1
Homepage: http://gazebosim.org/

Package: libignition-gui6
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: libignition-gui6-6 (<= 6.3.0+ds)
Replaces: libignition-gui6-6 (<= 6.3.0+ds)
Multi-Arch: same
Description: Gazebo Gui classes and functions for robot apps - Shared library
 Gazebo Gui is a component in the Gazebo framework, a set of libraries
 designed to rapidly develop robot applications.
 .
 Package contains the main libraries

Package: libignition-gui6-dev
Architecture: any
Section: libdevel
Depends: libtinyxml2-dev,
         libprotoc-dev,
         libprotobuf-dev,
         qtbase5-dev,
         qtdeclarative5-dev,
         qtquickcontrols2-5-dev,
         qml-module-qt-labs-folderlistmodel,
         qml-module-qt-labs-platform,
         qml-module-qt-labs-settings,
         qml-module-qtcharts,
         qml-module-qtgraphicaleffects,
         qml-module-qtlocation,
         qml-module-qtpositioning,
         qml-module-qtqml-models2,
         qml-module-qtquick-controls,
         qml-module-qtquick-controls2,
         qml-module-qtquick-dialogs,
         qml-module-qtquick-layouts,
         qml-module-qtquick-templates2,
         qml-module-qtquick-window2,
         qml-module-qtquick2,
         libignition-cmake2-dev (>= 2.14.0),
         libignition-math6-dev (>= 6.5.0),
         libignition-common4-events-dev (>= 4.1.0),
         libignition-common4-profiler-dev (>= 4.1.0),
         libignition-transport11-dev,
         libignition-plugin-dev,
         libignition-rendering6-ogre1-dev,
         libignition-tools-dev,
         libignition-msgs8-dev (>= 8.2.0),
         libignition-gui6 (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Gazebo Gui classes and functions for robot apps - Development files
 Gazebo Gui is a component in the Gazebo framework, a set of libraries
 designed to rapidly develop robot applications.
 .
 Package for development libraries and headers.

Package: libgz-gui6
Depends: libignition-gui6 (= ${binary:Version}), ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 It's recommended to use the gz packages going forward.

Package: libgz-gui6-dev
Depends: libignition-gui6-dev (= ${binary:Version}), ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 It's recommended to use the gz packages going forward.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
	    -DCMAKE_BUILD_TYPE=RelWithDebInfo

override_dh_auto_test:
	true

# No way of using xfvb to run tests consistently
#	xvfb-run --auto-servernum --server-args="-screen 0 1024x768x24" \
#				dh_auto_test --no-parallel -- \
#					ARGS='-E UNIT_Application_TEST\|UNIT_Helpers_TEST\|INTEGRATION_ExamplesBuild_TEST\|UNIT_ign_TEST\|INTEGRATION_camera_tracking\|INTEGRATION_minimal_scene\|INTEGRATION_transport_scene_manager\INTEGRATION_marker_manager\INTEGRATION_scene3d'
